javax.faces.component.html

## Class HtmlOutputText

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.html.HtmlOutputText

- All Implemented Interfaces:
    EventListener, PartialStateHolder, StateHolder, TransientStateHolder, ValueHolder, ComponentSystemEventListener, FacesListener, SystemEventListenerHolder

      public class HtmlOutputText
      extends UIOutput

  Renders the component value as text, optionally wrapping in a `span` element if I18N attributes, CSS styles or style classes are specified.

  By default, the `rendererType` property must be set to "`javax.faces.Text`". This value can be changed by calling the `setRendererType()` method.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `HtmlOutputText.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_TYPE` The standard component type for this component.

    - ### Fields inherited from class javax.faces.component.UIOutput

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlOutputText()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDir()` Return the value of the `dir` property.
    `String` | `getLang()` Return the value of the `lang` property.
    `String` | `getRole()` Return the value of the `role` property.
    `String` | `getStyle()` Return the value of the `style` property.
    `String` | `getStyleClass()` Return the value of the `styleClass` property.
    `String` | `getTitle()` Return the value of the `title` property.
    `boolean` | `isEscape()` Return the value of the `escape` property.
    `void` | `setDir(String dir)` Set the value of the `dir` property.
    `void` | `setEscape(boolean escape)` Set the value of the `escape` property.
    `void` | `setLang(String lang)` Set the value of the `lang` property.
    `void` | `setRole(String role)` Set the value of the `role` property.
    `void` | `setStyle(String style)` Set the value of the `style` property.
    `void` | `setStyleClass(String styleClass)` Set the value of the `styleClass` property.
    `void` | `setTitle(String title)` Set the value of the `title` property.

    - ### Methods inherited from class javax.faces.component.UIOutput

      `clearInitialState, getConverter, getFamily, getLocalValue, getValue, markInitialState, resetValue, restoreState, saveState, setConverter, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      The standard component type for this component.

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlOutputText

          public HtmlOutputText()

  - ### Method Detail

    - #### getDir

          public String getDir()

      Return the value of the `dir` property.

      Contents: Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left). These attributes are case sensitive when rendering to XHTML, so care must be taken to have the correct case.

    - #### setDir

          public void setDir(String dir)

      Set the value of the `dir` property.

    - #### isEscape

          public boolean isEscape()

      Return the value of the `escape` property.

      Contents: Flag indicating that characters that are sensitive in HTML and XML markup must be escaped. This flag is set to "true" by default.

    - #### setEscape

          public void setEscape(boolean escape)

      Set the value of the `escape` property.

    - #### getLang

          public String getLang()

      Return the value of the `lang` property.

      Contents: Code describing the language used in the generated markup for this component.

    - #### setLang

          public void setLang(String lang)

      Set the value of the `lang` property.

    - #### getRole

          public String getRole()

      Return the value of the `role` property.

      Contents:

      Per the WAI-ARIA spec and its relationship to HTML5 (Section title ARIA Role Attriubute), every HTML element may have a "role" attribute whose value must be passed through unmodified on the element on which it is declared in the final rendered markup. The attribute, if specified, must have a value that is a string literal that is, or an EL Expression that evaluates to, a set of space-separated tokens representing the various WAI-ARIA roles that the element belongs to.

      It is the page author's responsibility to ensure that the user agent is capable of correctly interpreting the value of this attribute.

    - #### setRole

          public void setRole(String role)

      Set the value of the `role` property.

    - #### getStyle

          public String getStyle()

      Return the value of the `style` property.

      Contents: CSS style(s) to be applied when this component is rendered.

    - #### setStyle

          public void setStyle(String style)

      Set the value of the `style` property.

    - #### getStyleClass

          public String getStyleClass()

      Return the value of the `styleClass` property.

      Contents: Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.

    - #### setStyleClass

          public void setStyleClass(String styleClass)

      Set the value of the `styleClass` property.

    - #### getTitle

          public String getTitle()

      Return the value of the `title` property.

      Contents: Advisory title information about markup elements generated for this component.

    - #### setTitle

          public void setTitle(String title)

      Set the value of the `title` property.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.